#include <iostream>
using namespace std;
int najvecaCifra(long long a[], long long n, int pozicija)
{
    int maksc = 0;
    for(int i=pozicija; i<n; i++)
    {
        if(a[i]>maksc)
            maksc = a[i];
    }
    return maksc;
}
int main()
{
    long long n;
    cin >> n;
    long long a[n];
    int maxc, tempMaxC, brojPokusaja = 0, tempMaxCPoz;
    bool breaker = false;

    for(int i=0; i<n; i++)
        cin >> a[i];
    maxc = najvecaCifra(a, n, 0);
    if(a[0] != maxc)
    {
        for(int i=1; i<n; i++)
            if(a[i] == maxc)
            {
                swap(a[i], a[0]);
            }
    }else if(a[0]  == maxc)
    {
        while(brojPokusaja<=1)
        {
            int i = 1;
            for(int j=1;j<n;j++)
            {
                tempMaxC = najvecaCifra(a, n, i);
                for(int l=0;l<n;l++)
                    if(a[l] == tempMaxC)
                        tempMaxCPoz = l;
                if(a[j] < tempMaxC && a[j] != tempMaxC)
                {
                    swap(a[j], a[tempMaxCPoz]);
                    brojPokusaja++;
                    breaker = true;
                }
                if(breaker)
                    break;
            }
            if(breaker)
                break;
            i++;
        }
    }

    for(int i=0;i<n;i++)
        cout << a[i] << " ";
    return 0;
}